org.eclipse.oomph.setup.targlets

## Interface SetupTargletsPackage

- All Superinterfaces:
    EModelElement, ENamedElement, EObject, EPackage, Notifier
  All Known Implementing Classes:
    SetupTargletsPackageImpl

      public interface SetupTargletsPackage
      extends EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `SetupTargletsFactory`
  Generated
  Model
    kind="package" annotation="http://www.eclipse.org/emf/2002/Ecore schemaLocation='http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/setups/models/SetupTarglets.ecore'" annotation="http://www.eclipse.org/oomph/setup/Enablement variableName='setup.targlets.p2' repository='${oomph.update.url}' installableUnits='org.eclipse.oomph.targlets.feature.group org.eclipse.oomph.setup.targlets.feature.group'" annotation="http://www.eclipse.org/oomph/base/LabelProvider imageBaseURI='http://git.eclipse.org/c/oomph/org.eclipse.oomph.git/plain/plugins/org.eclipse.oomph.setup.targlets.edit/icons/full/obj16'"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `SetupTargletsPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `EPackage.Descriptor, EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SetupTargletsPackage` | `eINSTANCE` The singleton instance of the package.
    `static String` | `eNAME` The package name.
    `static String` | `eNS_PREFIX` The package namespace name.
    `static String` | `eNS_URI` The package namespace URI.
    `static int` | `TARGLET_TASK` The meta object id for the '`Targlet Task`' class.
    `static int` | `TARGLET_TASK__ANNOTATIONS` The feature id for the 'Annotations' containment reference list.
    `static int` | `TARGLET_TASK__ARCHITECTURE` The feature id for the 'Architecture' attribute.
    `static int` | `TARGLET_TASK__DESCRIPTION` The feature id for the 'Description' attribute.
    `static int` | `TARGLET_TASK__DISABLED` The feature id for the 'Disabled' attribute.
    `static int` | `TARGLET_TASK__EXCLUDED_TRIGGERS` The feature id for the 'Excluded Triggers' attribute.
    `static int` | `TARGLET_TASK__ID` The feature id for the 'ID' attribute.
    `static int` | `TARGLET_TASK__LOCALE` The feature id for the 'Locale' attribute.
    `static int` | `TARGLET_TASK__OPERATING_SYSTEM` The feature id for the 'Operating System' attribute.
    `static int` | `TARGLET_TASK__PREDECESSORS` The feature id for the 'Predecessors' reference list.
    `static int` | `TARGLET_TASK__RESTRICTIONS` The feature id for the 'Restrictions' reference list.
    `static int` | `TARGLET_TASK__SCOPE_TYPE` The feature id for the 'Scope Type' attribute.
    `static int` | `TARGLET_TASK__SUCCESSORS` The feature id for the 'Successors' reference list.
    `static int` | `TARGLET_TASK__TARGLET_UR_IS` The feature id for the 'Targlet UR Is' attribute list.
    `static int` | `TARGLET_TASK__TARGLETS` The feature id for the 'Targlets' containment reference list.
    `static int` | `TARGLET_TASK__WINDOWING_SYSTEM` The feature id for the 'Windowing System' attribute.
    `static int` | `TARGLET_TASK_FEATURE_COUNT` The number of structural features of the 'Targlet Task' class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SetupTargletsFactory` | `getSetupTargletsFactory()` Returns the factory that creates the instances of the model.
    `EAttribute` | `getTargletTask_Architecture()` Returns the meta object for the attribute '`Architecture`'.
    `EAttribute` | `getTargletTask_Locale()` Returns the meta object for the attribute '`Locale`'.
    `EAttribute` | `getTargletTask_OperatingSystem()` Returns the meta object for the attribute '`Operating System`'.
    `EReference` | `getTargletTask_Targlets()` Returns the meta object for the containment reference list '`Targlets`'.
    `EAttribute` | `getTargletTask_TargletURIs()` Returns the meta object for the attribute list '`Targlet UR Is`'.
    `EAttribute` | `getTargletTask_WindowingSystem()` Returns the meta object for the attribute '`Windowing System`'.
    `EClass` | `getTargletTask()` Returns the meta object for class '`Targlet Task`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_URI

          static final String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated

    - #### eNS_PREFIX

          static final String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated

    - #### eINSTANCE

          static final SetupTargletsPackage eINSTANCE

      The singleton instance of the package.
      Generated

    - #### TARGLET_TASK

          static final int TARGLET_TASK

      The meta object id for the '`Targlet Task`' class.
      See Also:
        `TargletTaskImpl`, `SetupTargletsPackageImpl.getTargletTask()`, Constant Field Values
      Generated

    - #### TARGLET_TASK__ANNOTATIONS

          static final int TARGLET_TASK__ANNOTATIONS

      The feature id for the 'Annotations' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__ID

          static final int TARGLET_TASK__ID

      The feature id for the 'ID' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__DESCRIPTION

          static final int TARGLET_TASK__DESCRIPTION

      The feature id for the 'Description' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__SCOPE_TYPE

          static final int TARGLET_TASK__SCOPE_TYPE

      The feature id for the 'Scope Type' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__EXCLUDED_TRIGGERS

          static final int TARGLET_TASK__EXCLUDED_TRIGGERS

      The feature id for the 'Excluded Triggers' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__DISABLED

          static final int TARGLET_TASK__DISABLED

      The feature id for the 'Disabled' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__PREDECESSORS

          static final int TARGLET_TASK__PREDECESSORS

      The feature id for the 'Predecessors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__SUCCESSORS

          static final int TARGLET_TASK__SUCCESSORS

      The feature id for the 'Successors' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__RESTRICTIONS

          static final int TARGLET_TASK__RESTRICTIONS

      The feature id for the 'Restrictions' reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__TARGLETS

          static final int TARGLET_TASK__TARGLETS

      The feature id for the 'Targlets' containment reference list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__TARGLET_UR_IS

          static final int TARGLET_TASK__TARGLET_UR_IS

      The feature id for the 'Targlet UR Is' attribute list.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__OPERATING_SYSTEM

          static final int TARGLET_TASK__OPERATING_SYSTEM

      The feature id for the 'Operating System' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__WINDOWING_SYSTEM

          static final int TARGLET_TASK__WINDOWING_SYSTEM

      The feature id for the 'Windowing System' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__ARCHITECTURE

          static final int TARGLET_TASK__ARCHITECTURE

      The feature id for the 'Architecture' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK__LOCALE

          static final int TARGLET_TASK__LOCALE

      The feature id for the 'Locale' attribute.
      See Also:
        Constant Field Values
      Generated
      Ordered

    - #### TARGLET_TASK_FEATURE_COUNT

          static final int TARGLET_TASK_FEATURE_COUNT

      The number of structural features of the 'Targlet Task' class.
      See Also:
        Constant Field Values
      Generated
      Ordered

  - ### Method Detail

    - #### getTargletTask

          EClass getTargletTask()

      Returns the meta object for class '`Targlet Task`'.
      Returns:
        the meta object for class 'Targlet Task'.
      See Also:
        `TargletTask`
      Generated

    - #### getTargletTask_Targlets

          EReference getTargletTask_Targlets()

      Returns the meta object for the containment reference list '`Targlets`'.
      Returns:
        the meta object for the containment reference list 'Targlets'.
      See Also:
        `TargletTask.getTarglets()`, `getTargletTask()`
      Generated

    - #### getTargletTask_TargletURIs

          EAttribute getTargletTask_TargletURIs()

      Returns the meta object for the attribute list '`Targlet UR Is`'.
      Returns:
        the meta object for the attribute list 'Targlet UR Is'.
      See Also:
        `TargletTask.getTargletURIs()`, `getTargletTask()`
      Generated

    - #### getTargletTask_OperatingSystem

          EAttribute getTargletTask_OperatingSystem()

      Returns the meta object for the attribute '`Operating System`'.
      Returns:
        the meta object for the attribute 'Operating System'.
      See Also:
        `TargletTask.getOperatingSystem()`, `getTargletTask()`
      Generated

    - #### getTargletTask_WindowingSystem

          EAttribute getTargletTask_WindowingSystem()

      Returns the meta object for the attribute '`Windowing System`'.
      Returns:
        the meta object for the attribute 'Windowing System'.
      See Also:
        `TargletTask.getWindowingSystem()`, `getTargletTask()`
      Generated

    - #### getTargletTask_Architecture

          EAttribute getTargletTask_Architecture()

      Returns the meta object for the attribute '`Architecture`'.
      Returns:
        the meta object for the attribute 'Architecture'.
      See Also:
        `TargletTask.getArchitecture()`, `getTargletTask()`
      Generated

    - #### getTargletTask_Locale

          EAttribute getTargletTask_Locale()

      Returns the meta object for the attribute '`Locale`'.
      Returns:
        the meta object for the attribute 'Locale'.
      See Also:
        `TargletTask.getLocale()`, `getTargletTask()`
      Generated

    - #### getSetupTargletsFactory

          SetupTargletsFactory getSetupTargletsFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html